Bug 113433 - Kernel 2.6.1 poor performance, high cpu-load
Kernel 2.6.1 poor performance, high cpu-load
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-13 16:17 EST by Ralph Jacobs
Modified: 2015-01-04 17:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-27 18:38:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (9.73 KB, text/plain)
2004-01-13 16:19 EST, Ralph Jacobs
no flags Details

  None (edit)
Description Ralph Jacobs 2004-01-13 16:17:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
I've installed kernel 2.6.1 from fedora-devel on fedora core 1 by
using the i586 RPM (I'm on a AMD K6-II 380 MHz). The kernel seems to
boot normally, so does the rest of fedora. But the overall performance
with XFree86 is very poor, cpu-usage by XFree86 is excessive: with a
couple of apps opened (Mozilla, Evolution, XMMS, BitTorrent) it uses
~18-40% constantly. XMMS also has a constant minimum cpu-usage of
~10%. Overall, the system feels very sluggish now and total cpu-usage
never really drops below ~40%. 

With the standard fedora 2.4 kernel I have absolutely no problems,
performance is much better under the same circumstances.

I've had kernel 2.6 on this box before (compiled it myself), when I
was still running Debian and had no problems (even a performance
increase).

I've noticed a couple of errors in the kernel log (see attachment).
The modprobe errors don't seem that bad to me, they're sound-related,
but that works. Could it have to do with the ReiserFS warnings?

Again, nothing seems really broken, all hardware works etc., the
performance is just really poor compared to 2.4 and vanilla 2.6 (on
Debian).

Version-Release number of selected component (if applicable):
kernel-2.6.1-1.37

How reproducible:
Always

Steps to Reproduce:
1. Install kernel 2.6.1
2. Run X apps.
3.
    

Additional info:
Comment 1 Ralph Jacobs 2004-01-13 16:19:26 EST
Created attachment 96950 [details]
dmesg output
Comment 2 Dave Jones 2004-01-13 22:47:39 EST
Right now theres a lot of debugging stuff turned on to catch any
problems early. Some of the heavier stuff could be turned off though.
I'll switch off the most performance impacting debugging feature for
the next build, (1.41 or above)

The reiserfs checking will slow things down somewhat, but not
dramatically. That too will get turned off eventually.
Comment 3 Ralph Jacobs 2004-01-14 08:00:33 EST
Thank you for clearing that up, Dave. I've compiled 2.6.1 (vanilla)
myself this morning, and, indeed, performance is how it should be.

I'll keep an eye out for the newer versions.

Note You need to log in before you can comment on or make changes to this bug.